commit 0048071865dfe24d0b4973d3087678f7fd2f41e3
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Sat Jun 28 02:27:19 2025

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index d585dde9dad..f891157a62b 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,9 @@
+2025-06-27  Eric Botcazou  <ebotcazou@adacore.com>
+
+	* gimple-fold.cc (fold_const_aggregate_ref_1) <COMPONENT_REF>:
+	Bail out immediately if the reference has reverse storage order.
+	* tree-ssa-sccvn.cc (fully_constant_vn_reference_p): Likewise.
+
 2025-06-25  Haochen Jiang  <haochen.jiang@intel.com>
 
 	* config/i386/i386.h (PTA_ALDERLAKE): Use PTA_GOLDMONT_PLUS
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index b128998250b..89bcad6c215 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20250627
+20250628
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 9df44ef6c08..6cbaf041da5 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,7 @@
+2025-06-27  Eric Botcazou  <ebotcazou@adacore.com>
+
+	* gnat.dg/sso20.adb: New test.
+
 2025-06-20  Richard Biener  <rguenther@suse.de>
 
 	Backported from master:

